Bug 824869 - [eap6] redo security subsystem not to use operations for child resource addition/removal
[eap6] redo security subsystem not to use operations for child resource addit...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.5.0
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: as7-plugin 826051
  Show dependency treegraph
 
Reported: 2012-05-24 09:23 EDT by Libor Zoubek
Modified: 2015-11-01 19:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 826051 (view as bug list)
Environment:
Last Closed: 2013-09-01 05:57:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2012-05-24 09:23:44 EDT
Description of problem: security subsystem in AS7 plugin is a little bit obsolete. All other subsystems use 'new Child' mechanism for adding/removing child resources. 


Version-Release number of selected component (if applicable):
JON 3.1.ER4 EAP6.ER8

  
Actual results:
there are operations add/remove under security subsystem (does not work and make sense)
there are operations add/remove under 'Security Domain' child resource (does not work)
there are operations add/remove under 'Authorization' child resource (does not work)

Expected results:
All operations are removed, Security domains and Authorizations can be added using 'create Child' in Inventory
Comment 1 Heiko W. Rupp 2012-05-29 09:35:44 EDT
fixes checked in by Stefan and Simeon on top

e97ca2d233f8a0
and
2bc3201b3a1914ae14f6f2

in master
Comment 3 Heiko W. Rupp 2013-09-01 05:57:25 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.